/*
CTC Separate Stylesheet
Updated: 2026-04-14 07:55:52
*/
@charset "UTF-8";
/**
  Нормализация блочной модели
 */
*,
*::before,
*::after {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
}

/**
   Убираем внутренние отступы слева тегам списков,
   у которых есть атрибут class
  */
:where(ul, ol):where([class]) {
  padding-left: 0;
}

/**
   Убираем внешние отступы body и двум другим тегам,
   у которых есть атрибут class
  */
body,
:where(blockquote, figure):where([class]) {
  margin: 0;
}

/**
   Убираем внешние отступы вертикали нужным тегам,
   у которых есть атрибут class
  */
:where(h1, h2, h3, h4, h5, h6, p, ul, ol, dl):where([class]) {
  margin-block: 0;
}

:where(dd[class]) {
  margin-left: 0;
}

:where(fieldset[class]) {
  margin-left: 0;
  padding: 0;
  border: none;
}

/**
   Убираем стандартный маркер маркированному списку,
   у которого есть атрибут class
  */
:where(ul[class]) {
  list-style: none;
}

/**
   Обнуляем вертикальные внешние отступы параграфа,
   объявляем локальную переменную для внешнего отступа вниз,
   чтобы избежать взаимодействие с более сложным селектором
  */
p {
  --paragraphMarginBottom: 24px;
  margin-block: 0;
}

/**
   Внешний отступ вниз для параграфа без атрибута class,
   который расположен не последним среди своих соседних элементов
  */
p:where(:not([class]):not(:last-child)) {
  margin-bottom: var(--paragraphMarginBottom);
}

/**
   Упрощаем работу с изображениями
  */
img {
  display: block;
  max-width: 100%;
}

/**
   Наследуем свойства шрифт для полей ввода
  */
input,
textarea,
select,
button {
  font: inherit;
}

html {
  /**
     Пригодится в большинстве ситуаций
     (когда, например, нужно будет "прижать" футер к низу сайта)
    */
  height: 100%;
  /**
     Плавный скролл
    */
  scroll-behavior: smooth;
}

body {
  /**
     Пригодится в большинстве ситуаций
     (когда, например, нужно будет "прижать" футер к низу сайта)
    */
  min-height: 100%;
  /**
     Унифицированный интерлиньяж
    */
  line-height: 1.5;
}

/**
   Чиним баг задержки смены цвета при взаимодействии с svg-элементами
  */
svg * {
  -webkit-transition-property: fill, stroke;
  transition-property: fill, stroke;
}

/**
   Удаляем все анимации и переходы для людей,
   которые предпочитают их не использовать
  */
@media (prefers-reduced-motion: reduce) {
  * {
    -webkit-animation-duration: 0.01ms !important;
            animation-duration: 0.01ms !important;
    -webkit-animation-iteration-count: 1 !important;
            animation-iteration-count: 1 !important;
    -webkit-transition-duration: 0.01ms !important;
            transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}
:root {
  --dark: #110c04;
  --dark-alt: #231f13;
  --light: #fff;
  --grey: #bdbdbd;
  --grey-alt: #bdbdba;
  --grey-light: #858585;
  --accent: #faa307;
  --accent-alt: #ffba08;
  --border-radius-mini: 5px;
  --border-radius-small: 10px;
  --border-radius-big: 36px;
  --transition-duration: 0.3s;
  --container-width: 1268px;
  --container-padding-x: 20px;
  --container-padding-y: 50px;
  --font-family: 'Epilogue', sans-serif;
  --accent-gradient: linear-gradient(90deg, rgb(255, 218, 10), rgb(255, 186, 8));
  --accent-gradient-alt: linear-gradient(
    90deg,
    rgb(243, 223, 69),
    rgb(20, 20, 20) 53%,
    rgb(243, 197, 69)
  );
}
@media (max-width: 767.9px) {
  :root {
    --container-padding-y: 60px;
  }
}

.wrapper {
  max-width: calc(var(--container-width) + var(--container-padding-x) * 2);
  margin-inline: auto;
  padding: var(--container-padding-y) var(--container-padding-x);
}

.visually-hidden {
  position: absolute !important;
  width: 1px !important;
  height: 1px !important;
  margin: -1px !important;
  border: 0 !important;
  padding: 0 !important;
  white-space: nowrap !important;
  clip-path: inset(100%) !important;
  clip: rect(0 0 0 0) !important;
  overflow: hidden !important;
}

@media (max-width: 767.9px) {
  .hidden-mobile {
    display: none !important;
  }
}

@media (min-width: 768px) {
  .visible-mobile {
    display: none !important;
  }
}

@media (max-width: 1023.9px) {
  .hidden-tablet {
    display: none !important;
  }
}

@media (min-width: 1024px) {
  .visible-tablet {
    display: none !important;
  }
}

* {
  padding: 0;
  margin: 0;
}

html {
  scrollbar-width: thin;
  scrollbar-color: var(--accent) transparent;
}

body {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 16px;
  line-height: 1.28;
  color: var(--light);
  background-color: var(--dark);
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
}
body ::-webkit-scrollbar {
  width: 3px;
  height: 3px;
}
body ::-webkit-scrollbar-track {
  background: var(--dark);
}
body ::-webkit-scrollbar-thumb {
  background: var(--accent);
  height: 3px;
  border-radius: var(--border-radius-small);
}

a,
button,
svg * {
  -webkit-transition-duration: var(--transition-duration);
          transition-duration: var(--transition-duration);
}

a {
  text-decoration: none;
  color: inherit;
}

li {
  list-style-type: none;
}

.main-content {
  min-height: calc(100svh - 235px);
}

.main-page {
  background: url(https://city-engine.ru/wp-content/uploads/2026/04/bg-hero-gradient.svg) no-repeat, url(https://city-engine.ru/wp-content/uploads/2026/04/bg-main-page.png) no-repeat;
  background-position: right top, right top;
  background-size: 90%, 45%;
}
@media (max-width: 1023.9px) {
  .main-page {
    background-size: 90%, 55%;
  }
}
@media (min-width: 1900px) {
  .main-page {
    background-size: 90%, 40%;
  }
}

.project-page {
  background: url(https://city-engine.ru/wp-content/uploads/2026/04/bg-about-us.svg) no-repeat;
  background-position: left center;
}

.service-page {
  background: url(https://city-engine.ru/wp-content/uploads/2026/04/bg-hero-gradient-alt.svg) no-repeat;
  background-position: left center;
  background-size: 100%;
}

.contacts-page {
  background: url(https://city-engine.ru/wp-content/uploads/2026/04/bg-about-us.svg) no-repeat;
  background-position: right center;
}

.accent-text {
  background-color: var(--accent);
  padding: 0 2px;
  border-radius: var(--border-radius-small);
}

.button {
  padding: 0;
  background-color: transparent;
  border: none;
  border-radius: 160px;
  border: 1px solid transparent;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-column-gap: 6px;
     -moz-column-gap: 6px;
          column-gap: 6px;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  padding: 14px 20px;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  height: 42px;
  cursor: pointer;
  -webkit-transition: all var(--transition-duration) ease;
  transition: all var(--transition-duration) ease;
  color: var(--light);
  font-weight: 600;
  font-size: 14px;
  line-height: 100%;
}
@media (hover: hover) {
  .button:hover {
    color: var(--accent);
    background-color: var(--dark);
    border-color: var(--accent);
    -webkit-box-shadow: 1px 1px 25px 10px rgba(221, 131, 21, 0.4);
            box-shadow: 1px 1px 25px 10px rgba(221, 131, 21, 0.4);
  }
}
@media (hover: none) {
  .button:active {
    color: var(--accent);
    background-color: var(--dark);
    border-color: var(--accent);
    -webkit-box-shadow: 1px 1px 25px 10px rgba(221, 131, 21, 0.4);
            box-shadow: 1px 1px 25px 10px rgba(221, 131, 21, 0.4);
  }
}
.button--accent {
  background-color: var(--accent);
}
.button--black {
  background-color: var(--dark);
}
.button__transparent {
  background: -webkit-gradient(linear, left top, right top, from(rgb(232, 93, 4)), color-stop(52%, rgb(20, 20, 20)), to(rgb(232, 93, 4)));
  background: linear-gradient(90deg, rgb(232, 93, 4), rgb(20, 20, 20) 52%, rgb(232, 93, 4));
  border-radius: var(--border-radius-big);
  padding: 0;
}
.button__transparent-content {
  background: var(--dark);
  border-radius: var(--border-radius-big);
  padding: 0.5px;
  height: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  gap: 16px;
}
.button__transparent-icon {
  border-radius: 135px;
  padding: 6px 14px;
  width: 52px;
  height: 36px;
  background: #ffba08;
  position: relative;
  z-index: 2;
}
.button__transparent-text {
  padding-right: 10px;
}

.burger-button {
  padding: 0;
  background-color: transparent;
  border: none;
  width: 24px;
  height: 24px;
  position: relative;
  border-radius: var(--border-radius-mini);
  cursor: pointer;
  color: var(--light);
}
@media (hover: hover) {
  .burger-button:hover {
    background: var(--color-palette-3);
  }
}
@media (hover: none) {
  .burger-button:active {
    background: var(--color-palette-3);
  }
}
.burger-button::after {
  position: absolute;
  top: 50%;
  left: 50%;
  translate: -50% -50%;
  content: "";
  width: 80%;
  height: 2px;
  background-color: var(--light);
  -webkit-box-shadow: 0 -8px, 0 8px;
          box-shadow: 0 -8px, 0 8px;
  border-radius: var(--border-radius-mini);
}

.grid {
  --gridColumns: 1;
  display: grid;
  grid-template-columns: repeat(var(--gridColumns), 1fr);
  gap: 32px;
}
@media (max-width: 767.9px) {
  .grid {
    gap: 16px;
  }
}
.grid--2 {
  --gridColumns: 2;
}
.grid--3 {
  --gridColumns: 3;
}
.grid--4 {
  --gridColumns: 4;
}
.grid--5 {
  --gridColumns: 5;
}
.grid--6 {
  --gridColumns: 6;
}
.grid--7 {
  --gridColumns: 7;
}
.grid--8 {
  --gridColumns: 8;
}
.grid--9 {
  --gridColumns: 9;
}
.grid--10 {
  --gridColumns: 10;
}
.grid--11 {
  --gridColumns: 11;
}
.grid--12 {
  --gridColumns: 12;
}

.header {
  position: absolute;
  z-index: 100;
  width: 100%;
  -webkit-backdrop-filter: blur(7px);
          backdrop-filter: blur(7px);
}
.header__logo {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  gap: 4px;
}
.header__logo svg {
  width: 100%;
  height: 100%;
}
.header__inner {
  padding: 16px 20px;
  max-width: calc(var(--container-width) + var(--container-padding-x) * 2);
  width: 100%;
  margin: 0 auto;
  min-height: 82px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  gap: 30px;
}
@media (max-width: 1023.9px) {
  .header__inner {
    gap: 20px;
  }
}
@media (max-width: 767.9px) {
  .header__inner {
    gap: 16px;
    padding-inline: 12px;
  }
}
.header__nav-list {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  gap: 20px;
}
.header__nav-item-link {
  position: relative;
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  height: 30px;
  font-size: 14px;
}
@media (hover: hover) {
  .header__nav-item-link:hover {
    color: var(--accent);
  }
}
@media (hover: none) {
  .header__nav-item-link:active {
    color: var(--accent);
  }
}
@media (hover: hover) {
  .header__nav-item-link:hover::after {
    width: 100%;
  }
}
@media (hover: none) {
  .header__nav-item-link:active::after {
    width: 100%;
  }
}
.header__nav-item-link::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  translate: -50%;
  width: 0;
  height: 2px;
  background-color: currentColor;
  -webkit-transition-duration: inherit;
          transition-duration: inherit;
}

.hero {
  padding-top: 82px;
}
.hero__main {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-column-gap: 30px;
     -moz-column-gap: 30px;
          column-gap: 30px;
}
@media (max-width: 767.9px) {
  .hero__main {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: flex-start;
  }
}
.hero__body {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: start;
  max-width: 700px;
  row-gap: 35px;
}
@media (max-width: 767.9px) {
  .hero__body {
    display: contents;
  }
}
.hero__title {
  font-size: clamp(40px, 5vw, 72px);
  font-weight: 900;
}
@media (max-width: 767.9px) {
  .hero__title {
    -webkit-box-ordinal-group: -1;
        -ms-flex-order: -2;
            order: -2;
    margin-bottom: 10px;
  }
}
.hero__description {
  font-size: 20px;
  line-height: 160%;
  color: var(--light);
}
@media (max-width: 767.9px) {
  .hero__description {
    margin-bottom: 40px;
  }
}
@media (max-width: 767.9px) {
  .hero__button {
    width: 100%;
    max-width: 390px;
    margin-inline: auto;
  }
}
@media (max-width: 1023.9px) {
  .hero__image img {
    max-width: 40%;
    height: auto;
  }
}
@media (max-width: 767.9px) {
  .hero__image img {
    -webkit-box-ordinal-group: 0;
        -ms-flex-order: -1;
            order: -1;
    width: 100%;
    max-width: 100%;
    margin-bottom: 20px;
  }
}

.title {
  font-size: clamp(28px, 3.1944444444vw, 46px);
  font-weight: 600;
  line-height: 140%;
  text-align: center;
}

.subtitle {
  font-size: clamp(20px, 1.5277777778vw, 22px);
  line-height: 150%;
  text-align: center;
  color: rgba(255, 255, 255, 0.9);
}

.about-us {
  background: url(https://city-engine.ru/wp-content/uploads/2026/04/bg-about-us.svg) no-repeat;
  background-position: left bottom;
}
.about-us__subtitle {
  max-width: 900px;
  margin: 0 auto;
}
.about-us__list {
  margin-top: 80px;
}
.about-us__item {
  grid-column: span 4;
  padding: 0.5px;
}
@media (max-width: 1023.9px) {
  .about-us__item {
    grid-column: span 12;
  }
}

.why-us {
  background: url(https://city-engine.ru/wp-content/uploads/2026/04/bg-why-us.svg) no-repeat;
  background-position: right top;
}
.why-us__list {
  width: 100%;
  margin-top: 32px;
  padding-left: 100px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}
@media (max-width: 1023.9px) {
  .why-us__list {
    padding-left: 0;
  }
}
@media (max-width: 767.9px) {
  .why-us__list {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
  }
}
.why-us__item {
  position: relative;
}
.why-us__item1 {
  left: 0;
}
.why-us__item2 {
  left: -50px;
}
.why-us__item3 {
  left: -100px;
}
@media (max-width: 1023.9px) {
  .why-us__item1, .why-us__item2, .why-us__item3 {
    left: 0;
    grid-column: span 12;
  }
}

.card {
  background: var(--dark-alt);
  border-radius: var(--border-radius-big);
  padding: 20px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 16px;
  height: 100%;
  min-height: 200px;
}
.card--circle {
  border-radius: 50%;
  width: 340px;
  height: 340px;
  padding-top: 100px;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  border: 10px solid var(--dark);
}
@media (max-width: 1023.9px) {
  .card--circle {
    width: 250px;
    height: 250px;
    padding-top: 60px;
    border-width: 5px;
  }
}
@media (max-width: 767.9px) {
  .card--circle {
    width: 100%;
    height: 100%;
    border-radius: var(--border-radius-big);
    padding: 20px;
    min-height: 100%;
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: flex-start;
  }
}
.card--circle .card__title {
  font-weight: 300;
  text-align: center;
}
.card--accent {
  background: var(--accent);
}
.card--accent .card__icon {
  color: var(--dark);
  background: -webkit-gradient(linear, left top, left bottom, from(#ffba08), to(rgba(255, 186, 8, 0)));
  background: linear-gradient(180deg, #ffba08 0%, rgba(255, 186, 8, 0) 100%);
}
.card--accent .card__description {
  color: var(--light);
}
.card__icon {
  font-size: clamp(24px, 1.9444444444vw, 28px);
  border-radius: 12px;
  padding: 20px;
  width: 80px;
  height: 80px;
  background: -webkit-gradient(linear, left top, left bottom, from(#2b2417), to(rgba(36, 36, 36, 0)));
  background: linear-gradient(180deg, #2b2417 0%, rgba(36, 36, 36, 0) 100%);
  font-weight: 600;
  line-height: 150%;
  text-align: center;
}
.card__title {
  font-size: clamp(18px, 1.3888888889vw, 20px);
  text-align: center;
}
.card__description {
  text-align: justify;
  font-size: 16px;
  color: var(--grey-alt);
}
.card__list-item {
  position: relative;
  padding-left: 10px;
}
.card__list-item:before {
  position: absolute;
  content: "";
  width: 4px;
  height: 4px;
  border-radius: 100%;
  background: var(--accent);
  left: 0;
  top: 50%;
  -webkit-transform: translateY(-50%);
      -ms-transform: translateY(-50%);
          transform: translateY(-50%);
}

.logotypes__partners-overlay {
  padding: 1px 0;
  background: var(--accent-gradient);
}
.logotypes__partners {
  padding: 80px var(--container-padding-x);
  background: var(--dark);
}
.logotypes__partners-list {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -webkit-column-gap: 20px;
     -moz-column-gap: 20px;
          column-gap: 20px;
  padding-block: 0;
}
@media (max-width: 767.9px) {
  .logotypes__partners-list {
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: flex-start;
  }
}
.logotypes__partners-item {
  height: 70px;
  width: auto;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}
.logotypes__partners-image {
  -webkit-filter: grayscale(1);
          filter: grayscale(1);
}

.border-overlay {
  border-radius: var(--border-radius-big);
  background: var(--accent-gradient-alt);
}

.project {
  padding-top: 82px;
}
.project__inner {
  background: var(--dark-alt);
  border-radius: 48px;
  overflow: hidden;
}
.project__hero {
  padding: 20px;
  background: url(https://city-engine.ru/wp-content/uploads/2026/04/bg-grid.svg) no-repeat;
  background-size: 300px;
  background-position: top right;
  min-height: 250px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}
.project__hero-title {
  font-size: clamp(30px, 2.7777777778vw, 40px);
  font-weight: 600;
  line-height: 150%;
}
.project__body-list {
  margin-top: 50px;
  grid-auto-flow: dense;
}
.project__body-list-item {
  grid-column: span 4;
  padding: 0.5px;
}
@media (max-width: 1023.9px) {
  .project__body-list-item {
    grid-column: span 6;
  }
}
@media (max-width: 767.9px) {
  .project__body-list-item {
    grid-column: span 12;
  }
}
.project__body-list-item:nth-child(5), .project__body-list-item:nth-child(6), .project__body-list-item:nth-child(11), .project__body-list-item:last-child {
  grid-column: span 8;
}
.project__body-list-item .card {
  padding: 40px;
}
.project__body-list-item .card__description {
  text-align: center;
}
.project__body-list-item .card__icon {
  color: var(--accent);
}
.project__body-list-item .card--accent .card__icon {
  color: var(--dark);
  background: -webkit-gradient(linear, left top, left bottom, from(#ffba08), to(rgba(255, 186, 8, 0)));
  background: linear-gradient(180deg, #ffba08 0%, rgba(255, 186, 8, 0) 100%);
}

.service {
  padding-top: 82px;
}
.service__inner {
  background: var(--dark-alt);
  border-radius: 48px;
  overflow: hidden;
}
.service__hero {
  padding: 20px;
  background: url(https://city-engine.ru/wp-content/uploads/2026/04/bg-grid.svg) no-repeat;
  background-size: 300px;
  background-position: top right;
  min-height: 250px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}
.service__hero-title {
  font-size: clamp(30px, 2.7777777778vw, 40px);
  font-weight: 600;
  line-height: 150%;
}
.service__body-list {
  margin-top: 50px;
}
.service__body-list-item {
  grid-column: span 12;
  gap: 20px;
}
@media (max-width: 767.9px) {
  .service__body-list-item {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
  }
}

.collapse {
  background: var(--dark-alt);
  border-radius: var(--border-radius-big);
  padding: 20px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}
.collapse__count {
  font-size: clamp(24px, 1.9444444444vw, 28px);
  border-radius: 12px;
  padding: 20px;
  width: 80px;
  height: 80px;
  background: -webkit-gradient(linear, left top, left bottom, from(#2b2417), to(rgba(36, 36, 36, 0)));
  background: linear-gradient(180deg, #2b2417 0%, rgba(36, 36, 36, 0) 100%);
  font-weight: 600;
  line-height: 150%;
  text-align: center;
  color: var(--accent);
}
@media (max-width: 767.9px) {
  .collapse__count {
    display: none;
  }
}
.collapse__header {
  font-size: clamp(20px, 1.5277777778vw, 22px);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 20px;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  font-weight: 500;
  color: var(--accent);
  height: 80px;
  cursor: pointer;
}
.collapse__description {
  font-size: clamp(16px, 1.25vw, 18px);
  font-weight: 400;
  line-height: 150%;
  color: #e6e6e6;
}
.collapse__list-item {
  grid-column: span 6;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  font-weight: 400;
  font-size: 14px;
  line-height: 171%;
  color: var(--light);
  position: relative;
  display: flex;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  gap: 30px;
  background: var(--dark);
  border-radius: 40px;
  padding: 20px;
}
@media (max-width: 767.9px) {
  .collapse__list-item {
    grid-column: span 12;
  }
}
.collapse__list-item-text {
  text-align: justify;
  max-width: 700px;
  width: 100%;
}
.collapse__list-item-count {
  max-width: 200px;
  width: 100%;
  color: var(--grey);
}
.collapse__content {
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
}
.collapse__toggle {
  display: none;
}
.collapse__toggle:checked ~ .collapse__content .collapse__body {
  max-height: 0;
  opacity: 0;
  overflow: hidden;
}
.collapse__toggle:checked ~ .collapse__content .collapse__icon {
  -webkit-transform: rotate(45deg);
      -ms-transform: rotate(45deg);
          transform: rotate(45deg);
  -webkit-transition: -webkit-transform var(--transition-duration) ease-in-out;
  transition: -webkit-transform var(--transition-duration) ease-in-out;
  transition: transform var(--transition-duration) ease-in-out;
  transition: transform var(--transition-duration) ease-in-out, -webkit-transform var(--transition-duration) ease-in-out;
}
.collapse__body {
  max-height: 100%;
  opacity: 1;
  -webkit-transition: max-height var(--transition-duration) ease-in-out, opacity var(--transition-duration) ease-in-out;
  transition: max-height var(--transition-duration) ease-in-out, opacity var(--transition-duration) ease-in-out;
}
.collapse__icon {
  -webkit-transition: -webkit-transform var(--transition-duration) ease-in-out;
  transition: -webkit-transform var(--transition-duration) ease-in-out;
  transition: transform var(--transition-duration) ease-in-out;
  transition: transform var(--transition-duration) ease-in-out, -webkit-transform var(--transition-duration) ease-in-out;
}

.contacts {
  padding-top: 82px;
}
.contacts__inner {
  background: var(--dark-alt);
  border-radius: 48px;
  overflow: hidden;
}
.contacts__hero {
  padding: 20px;
  background: url(https://city-engine.ru/wp-content/uploads/2026/04/bg-grid.svg) no-repeat;
  background-size: 300px;
  background-position: top right;
  min-height: 250px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}
.contacts__hero-title {
  font-weight: 600;
  font-size: 40px;
  line-height: 150%;
}
.contacts__details-list {
  margin-top: 50px;
}
.contacts__details-item {
  grid-column: span 2;
  gap: 20px;
}
.contacts__details-item:last-child {
  grid-column: span 6;
}
@media (max-width: 767.9px) {
  .contacts__details-item:last-child {
    grid-column: span 12;
  }
}
@media (max-width: 1023.9px) {
  .contacts__details-item {
    grid-column: span 6;
  }
}
@media (max-width: 767.9px) {
  .contacts__details-item {
    grid-column: span 12;
  }
}
.contacts__body-list {
  margin-top: 50px;
}
.contacts__body-item {
  grid-column: span 4;
  gap: 20px;
}
@media (hover: hover) {
  .contacts__body-item:hover {
    color: var(--accent);
  }
}
@media (hover: none) {
  .contacts__body-item:active {
    color: var(--accent);
  }
}
@media (max-width: 1023.9px) {
  .contacts__body-item {
    grid-column: span 12;
  }
}

.footer {
  font-size: 14px;
  width: 100%;
  padding: 50px 0;
  background: url(https://city-engine.ru/wp-content/uploads/2026/04/bg-footer.svg) no-repeat;
  background-position: bottom center;
  background-size: 100%;
}
.footer__inner {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  gap: 60px;
  margin: 0 auto;
  padding: 16px 20px;
  max-width: calc(var(--container-width) + var(--container-padding-x) * 2);
}
@media (max-width: 1023.9px) {
  .footer__inner {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    gap: 30px;
  }
}
.footer__body {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  gap: 20px;
}
.footer__nav {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  gap: 20px;
}
.footer__nav-list {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  gap: 20px;
}
@media (hover: hover) {
  .footer__nav-item-link:hover {
    color: var(--accent);
  }
}
@media (hover: none) {
  .footer__nav-item-link:active {
    color: var(--accent);
  }
}
.footer__copyright {
  font-size: 14px;
  line-height: 150%;
  text-align: center;
  color: var(--grey);
}
.footer__contacts-body {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  gap: 16px;
}
@media (max-width: 1023.9px) {
  .footer__contacts-body {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
  }
}
.footer__contacts-body-item {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  gap: 8px;
}
@media (hover: hover) {
  .footer__contacts-body-item:hover {
    color: var(--accent);
  }
}
@media (hover: none) {
  .footer__contacts-body-item:active {
    color: var(--accent);
  }
}

.mobile-overlay {
  width: 100%;
  height: 100%;
  margin: 0;
  border: none;
  padding: 16px 20px;
  color: inherit;
  background: var(--dark-alt);
}
@media (max-width: 767.9px) {
  .mobile-overlay {
    padding: 16px 0;
  }
}
.mobile-overlay:modal {
  max-width: 100%;
  max-height: 100%;
}
.mobile-overlay__close-button-wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}
@media (max-width: 767.9px) {
  .mobile-overlay__close-button-wrapper {
    padding-inline: 12px;
  }
}
.mobile-overlay__body {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  gap: 20px;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}
.mobile-overlay__list {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  gap: 20px;
  margin-top: 30px;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}
.mobile-overlay__link {
  position: relative;
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  height: 30px;
  font-size: 14px;
}
@media (hover: hover) {
  .mobile-overlay__link:hover {
    color: var(--accent);
  }
}
@media (hover: none) {
  .mobile-overlay__link:active {
    color: var(--accent);
  }
}
@media (hover: hover) {
  .mobile-overlay__link:hover::after {
    width: 100%;
  }
}
@media (hover: none) {
  .mobile-overlay__link:active::after {
    width: 100%;
  }
}
.mobile-overlay__link::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  translate: -50%;
  width: 0;
  height: 2px;
  background-color: currentColor;
  -webkit-transition-duration: inherit;
          transition-duration: inherit;
}

.cross-button {
  padding: 0;
  background-color: transparent;
  border: none;
  width: 24px;
  height: 24px;
  position: relative;
  border-radius: var(--border-radius-mini);
  background: var(--accent);
  cursor: pointer;
}
.cross-button::before, .cross-button::after {
  content: "";
  position: absolute;
  top: 11px;
  left: 3px;
  width: 80%;
  height: 2px;
  background: var(--light);
  border-radius: var(--border-radius-mini);
}
.cross-button::before {
  rotate: 45deg;
}
.cross-button::after {
  rotate: -45deg;
}

.nf {
  padding-top: 100px;
}
.nf__inner {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  gap: 30px;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}
.nf__image {
  height: 348px;
  background: url(https://city-engine.ru/wp-content/uploads/2026/04/error.png) no-repeat;
  background-size: 50% auto;
  background-position: top center;
  width: 100%;
}

.cta-b4nner {
  padding-block: 60px;
}
.cta-b4nner__inner {
  background: var(--accent);
  border-radius: 48px;
  overflow: hidden;
  min-height: 350px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  padding: 20px;
}
.cta-b4nner__description {
  font-size: clamp(22px, 1.6666666667vw, 24px);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 10px;
  padding-block: 20px;
}
